Migrer depuis WebSphere Application Server version 6.1

lundi 2 janvier 2012
par Luc-Michel Demey

Migrer en WAS 7 ou en WAS 8 ?

Mise à jour 11/09/2012 : IBM prolonge le support de WAS 6.1 jusqu’au 30/09/2013.

Il y a aujourd’hui 3 versions majeures de WebSphere Application Server disponibles :

  • WAS 6.1, annoncé en 06/2006
  • WAS 7.0, annoncé en 10/2008
  • WAS 8.0, annoncé en 06/2011

On pourrait presque y ajouter WAS 8.5 (alias Liberty), pré-annoncé depuis plusieurs mois et disponible en beta.

Il y a un peu moins d’un an, IBM a annoncé la fin de support de WAS 6.1 pour Septembre 2011 :
Discontinuance of Support for IBM WebSphere Application Server V6.1

Tous les utilisateurs de WAS 6.1 doivent donc planifier la migration de leurs environnements avant cette date.
Etant donné qu’il se passe en général peu de choses pendant les mois d’été, et/ou qu’un projet (même de migration) a souvent un peu de retard dans le planning, il est prudent de viser Juin 2012 pour la fin de cette migration.

Migrer certes, mais vers quoi ?

Il y a 6 mois, la réponse était évidente : vers WAS 7.0. Il y a trois mois également.

Maintenant, si on considère que WAS 8 a déjà bénéficié d’un premier fix pack (8.0.0.1) en septembre, que le 2ième ne devrait plus tarder, et qu’à la date cible de la fin de migration, WAS 8 aura un an, la réponse "Migrer vers WAS 7.0" n’est plus aussi évidente.

Migrer de WAS 6.1 vers 7.0 permet d’utiliser une version de WebSphere éprouvée, qui a déjà fait ses preuves depuis plus de 2 ans, sur laquelle de nombreux bugs ont déjà été corrigés (10 niveaux de fixes depuis la sortie.

Migrer de WAS 6.1 vers 8.0 permet d’atteindre tout de suite le dernier niveau technologique de Java (pour certains développeurs c’est important), avec une charge liée à la migration qui devrait être du même ordre qu’une cible WAS 6.1.

Alors, quelle cible choisir ?
Il n’y a pas de réponse unique, chaque société doit évaluer la situation en fonction de ses propres critères, et en particulier du support des versions de WAS par les éditeurs de progiciels.

Mais ce qui est certain, c’est que la question est ouverte, et que WAS 7.0 n’est pas la seule réponse possible à la migration des WAS 6.1 à effectuer au premier semestre 2012.


Brèves

28 novembre - Annonce du FixPack 8.0.0.8 pour WebSphere MQ v8.0

IBM annonce ce jour la disponibilité du FixPack 8 pour WebSphere MQ v8.0.

21 novembre - Annonce du FixPack 7.1.0.9 pour WebSphere MQ v7.1

IBM annonce ce jour la disponibilité du FixPack 9 pour WebSphere MQ v7.1.
Rappels : (...)

6 novembre - IBM MQ version 9.0.4 CD est disponible

IBM MQ version 9.0.4 CD est disponible. Pour le télécharger sur PassportAdvantage, recherchez le (...)

18 octobre - Fixpacks tWAS 9.0.0.5

IBM annonce la disponibilité du fixpack 5 pour WebSphere Application Server traditionnal version (...)

16 octobre - Fin de support IIB version 9.0

IBM annonce ce jour que le support de IBM Integration Bus 9.0.x se terminera le 30/09/2018. Il (...)

5 octobre - Annonce de IBM MQ 9.0.0.2 LTSR

Ce produit est disponible : sous forme de fixpack classique (s’applique sur MQ 9000 ou 9001) (...)